Which Lutris version works best with Star Trek Armada 2



  • Which Lutris version works best for playing Star Trek Armada 2 on Ubuntu Linux? Don't use the FS Hack, it messed up the display.

    I tried 6.4 which crashed sometimes. You also had to press Escape to go the menu, to show full screen. Don't press alt + tab or your hotkeys are stopping to work (but it fixes some screen bugs, which are also fixed by pressing escape). Sometimes you have to restart the games several time, before it works properly.

    Version 7.2 works stable, but sometimes the mission does not end and start the next mission, since a black quad is blocking the screen and you can't click anything. Had to save before the mission ends and start 6.4.

    Version 7.1 works better as 7.2. It is stable and it does not have the black quad bug, you can finish your missions. It is the best version, I could play without any problems.



  • Version 7.1 works best.

    Lutris Version 7.1 works better than 7.2. It is stable and it does not have the black quad bug, so you can finish your missions. It is the best version, I could play without any problems.

    Edit: Version 7.1 and 7.2 crashes instant action (skirmish mode). It won't open the menu to select the skirmish map.

    Sometimes you get a black screen after the mission finished and you can't click okay. Just start the game with an older lutris version, watch the end mission cinematics (or just cheat) and click on okay. Happens rarely, but it happened one or two times.




Suggested Topics

  • 2
  • 2
  • 2
  • 2
  • 2
  • 2
  • 2
  • 2
  • 2
  • 2
  • 2
  • 2
  • 2
  • 2
  • 2